Migrate RSTickets!Pro from Joomla! 2.5 to 3.x

RSTickets!Pro does not offer a feature specialized in migrating the component's data by export (or otherwise). The only option to migrate RSTickets!Pro from a Joomla! 2.5 website to Joomla! 3.x remains to directly transfer its database tables:

  • dbprefix_rsticketspro_accounts
  • dbprefix_rsticketspro_accounts_log
  • dbprefix_rsticketspro_configuration
  • dbprefix_rsticketspro_custom_fields
  • dbprefix_rsticketspro_custom_fields_values
  • dbprefix_rsticketspro_departments
  • dbprefix_rsticketspro_emails
  • dbprefix_rsticketspro_groups
  • dbprefix_rsticketspro_kb_categories
  • dbprefix_rsticketspro_kb_content
  • dbprefix_rsticketspro_kb_rules
  • dbprefix_rsticketspro_priorities
  • dbprefix_rsticketspro_searches
  • dbprefix_rsticketspro_staff
  • dbprefix_rsticketspro_staff_to_department
  • dbprefix_rsticketspro_statuses
  • dbprefix_rsticketspro_tickets
  • dbprefix_rsticketspro_ticket_files
  • dbprefix_rsticketspro_ticket_history
  • dbprefix_rsticketspro_ticket_messages
  • dbprefix_rsticketspro_ticket_notes
 
You also need to:
  • make sure that you are using the latest version of the component available for Joomla! 2.5 & 3.x, on both installations.
  • create a backup of your Joomla! 2.5 database tables through a database management application (for example phpMyAdmin)
  • restore the backed up database tables in your 3.x database
IMPORTANT

Since the relations between users and their submitted tickets are based on the user's ID, in order for the migration to be correct you will need to make sure that the users from your Joomla! 3.x installation have the same IDs as in your 2.5 installation. The best approach would be to also migrate the dbprefix_users table. A list of components that can be used to migrate users can be found here.

Migrating from Joomla 1.5 to 2.5

This is done in the same manner as described above, with the only difference being that you need to first update RSTickets!Pro on the Joomla! 1.5 website to the latest revision available for Joomla! 1.5 - rev. 8.

Was this article helpful?

Yes No
Sorry about that

You Should Also Read

JUser::_load: Unable to load user with id